﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class TrigSolver : Form
    {
        public TrigSolver()
        {
            InitializeComponent();
        }
        
        // Hides buttons when a choice is made.
        private void HideButtons()
        {
            LoS.Visible = false;
            LoC.Visible = false;
            sineBtn.Visible = false;
            cosineBtn.Visible = false;
            tangentBtn.Visible = false;
            cscBtn.Visible = false;
            secBtn.Visible = false;
            cotBtn.Visible = false;
            WelcomeLabel.Visible = false;
        }

        // Triggered when "Back to Menu" button is pressed. Make all choices visible.
        private void ShowButtons()
        {
            LoS.Visible = true;
            LoC.Visible = true;
            sineBtn.Visible = true;
            cosineBtn.Visible = true;
            tangentBtn.Visible = true;
            cscBtn.Visible = true;
            secBtn.Visible = true;
            cotBtn.Visible = true;
            WelcomeLabel.Visible = true;
        }

        // Hides the lesson on Sine
        private void HideFunction()
        {
            rtrianglePic.Visible = false;
            triangleLabel.Visible = false;
            menuBtn.Visible = false;
        }

        private void SineView()
        {
            triangleLabel.Text = "Sine is the angle opposite to the hypotenuse in a right triangle, which correlates the y axis.";
            RelocateTriangleLabel(7,9);
            FormSizeChange(658, 338);
            rtrianglePic.Visible = true;
            triangleLabel.Visible = true;
            menuBtn.Visible = true;
        }

        private void CosineView()
        {
            triangleLabel.Text = "Cosine is the angle adjacent to the hypotenuse in a right triangle, which correlates to the x axis.";
            RelocateTriangleLabel(7,9);
            FormSizeChange(700, 320);
            rtrianglePic.Visible = true;
            triangleLabel.Visible = true;
            menuBtn.Visible = true;
        }

        private void TangentView()
        {
            triangleLabel.Text = "Tangent is the value found by dividing the sine by the cosine.";
            RelocateTriangleLabel(100,9);
            triangleLabel.Visible = true;
            rtrianglePic.Visible = true;
            menuBtn.Visible = true;
            FormSizeChange(600, 320);
        }

        private void RelocateTriangleLabel(int x, int y)
        {
            this.triangleLabel.Location = new System.Drawing.Point(x, y);
        }

        private void FormSizeChange(int x, int y)
        {
            this.ClientSize = new System.Drawing.Size(x, y);
        }

        private void LoS_Click(object sender, EventArgs e)
        {
            HideButtons();
        }

        private void LoC_Click(object sender, EventArgs e)
        {
            HideButtons();
        }

        private void cosineBtn_Click(object sender, EventArgs e)
        {
            CosineView();
            HideButtons();
            ChangeImageSineCosine();
        }

        private void sineBtn_Click(object sender, EventArgs e)
        {
            HideButtons();
            SineView();
            ChangeImageSineCosine();
        }

        private void tangentBtn_Click(object sender, EventArgs e)
        {
            HideButtons();
            TangentView();
            ChangeImageTangent();
        }

        private void cscBtn_Click(object sender, EventArgs e)
        {
            HideButtons();
            CscView();
            RelocateTriangleLabel(105, 9);
            triangleLabel.Text = "The Cosecant is the inverse of the sine function. It is written as:";
            triangleLabel.Visible = true;
            menuBtn.Visible = true;
            FormSizeChange(600, 320);
        }

        private void CscView()
        {
            this.rtrianglePic.Image = global::WindowsFormsApplication1.Properties.Resources.Cosecant;
            rtrianglePic.Visible = true;
        }

        private void ChangeImageTangent()
        {
            this.rtrianglePic.Image = global::WindowsFormsApplication1.Properties.Resources.Tangent;
        }

        private void ChangeImageSineCosine()
        {
            this.rtrianglePic.Image = global::WindowsFormsApplication1.Properties.Resources.SineCosine;
        }

        private void ChangeImageSecant()
        {
            this.rtrianglePic.Image = global::WindowsFormsApplication1.Properties.Resources.Secant;
        }
        
        private void secBtn_Click(object sender, EventArgs e)
        {
            RelocateTriangleLabel(150, 9);
            triangleLabel.Text = "Secant is the reciprocal of Cosine, and is written as: ";
            triangleLabel.Visible = true;
            HideButtons();
            ChangeImageSecant();
            rtrianglePic.Visible = true;
            FormSizeChange(600, 320);
            menuBtn.Visible = true;
        }

        private void cotBtn_Click(object sender, EventArgs e)
        {
            RelocateTriangleLabel(150, 9);
            triangleLabel.Text = "Cotangent is the reciprocal of Tangent and is written as: ";
            triangleVisible.Visible = true;
            HideButtons();
            FormSizeChange(600, 320);
            menuBtn.Visible = true;
            // ChangeImageCotangent();
        }

        private void menuBtn_Click(object sender, EventArgs e)
        {
            HideFunction();
            ShowButtons();
            FormSizeChange(600, 150);
        }
    }
}
